#include <stdio.h>

int main() 
{
    int N,L;
    scanf("%d %d",&N,&L);
    int niz[N];
    for(int i=0;i<N;i++)
    {
        scanf("%d",&niz[i]);
    }
    for(int i=0;i<N;i++)
    {
        if(L>=niz[i])
        {
            printf("%d",i+1);
            return 0;
        }
        else if(N-i==1)
        {
            printf("-1");
        }
    }
        
}